# DaprProtos.SubtleGetKeyRequest.Builder (dapr-sdk-parent 1.10.0 API)

Package io.dapr.v1

## Class DaprProtos.SubtleGetKeyRequest.Builder

- java.lang.Object
- - com.google.protobuf.AbstractMessageLite.Builder
  - - com.google.protobuf.AbstractMessage.Builder<BuilderType>
    - - com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.SubtleGetKeyRequest.Builder>
      - - io.dapr.v1.DaprProtos.SubtleGetKeyRequest.Builder

All Implemented Interfaces:
  `com.google.protobuf.Message.Builder`, `com.google.protobuf.MessageLite.Builder`, `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`, `DaprProtos.SubtleGetKeyRequestOrBuilder`, `Cloneable`

Enclosing class:
  DaprProtos.SubtleGetKeyRequest

    public static final class DaprProtos.SubtleGetKeyRequest.Builder
    extends com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.SubtleGetKeyRequest.Builder>
    implements DaprProtos.SubtleGetKeyRequestOrBuilder

     SubtleGetKeyRequest is the request object for SubtleGetKeyAlpha1.

Protobuf type `dapr.proto.runtime.v1.SubtleGetKeyRequest`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`DaprProtos.SubtleGetKeyRequest.Builder` `addRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)`
`DaprProtos.SubtleGetKeyRequest` `build()`
`DaprProtos.SubtleGetKeyRequest` `buildPartial()`
`DaprProtos.SubtleGetKeyRequest.Builder` `clear()`
`DaprProtos.SubtleGetKeyRequest.Builder` `clearComponentName()` Name of the component
`DaprProtos.SubtleGetKeyRequest.Builder` `clearField​(com.google.protobuf.Descriptors.FieldDescriptor field)`
`DaprProtos.SubtleGetKeyRequest.Builder` `clearFormat()` Response format
`DaprProtos.SubtleGetKeyRequest.Builder` `clearName()` Name (or name/version) of the key to use in the key vault
`DaprProtos.SubtleGetKeyRequest.Builder` `clearOneof​(com.google.protobuf.Descriptors.OneofDescriptor oneof)`
`DaprProtos.SubtleGetKeyRequest.Builder` `clone()`
`String` `getComponentName()` Name of the component
`com.google.protobuf.ByteString` `getComponentNameBytes()` Name of the component
`DaprProtos.SubtleGetKeyRequest` `getDefaultInstanceForType()`
`static com.google.protobuf.Descriptors.Descriptor` `getDescriptor()`
`com.google.protobuf.Descriptors.Descriptor` `getDescriptorForType()`
`DaprProtos.SubtleGetKeyRequest.KeyFormat` `getFormat()` Response format
`int` `getFormatValue()` Response format
`String` `getName()` Name (or name/version) of the key to use in the key vault
`com.google.protobuf.ByteString` `getNameBytes()` Name (or name/version) of the key to use in the key vault
`protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable` `internalGetFieldAccessorTable()`
`boolean` `isInitialized()`
`DaprProtos.SubtleGetKeyRequest.Builder` `mergeFrom​(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`DaprProtos.SubtleGetKeyRequest.Builder` `mergeFrom​(com.google.protobuf.Message other)`
`DaprProtos.SubtleGetKeyRequest.Builder` `mergeFrom​(DaprProtos.SubtleGetKeyRequest other)`
`DaprProtos.SubtleGetKeyRequest.Builder` `mergeUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)`
`DaprProtos.SubtleGetKeyRequest.Builder` `setComponentName​(String value)` Name of the component
`DaprProtos.SubtleGetKeyRequest.Builder` `setComponentNameBytes​(com.google.protobuf.ByteString value)` Name of the component
`DaprProtos.SubtleGetKeyRequest.Builder` `setField​(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)`
`DaprProtos.SubtleGetKeyRequest.Builder` `setFormat​(DaprProtos.SubtleGetKeyRequest.KeyFormat value)` Response format
`DaprProtos.SubtleGetKeyRequest.Builder` `setFormatValue​(int value)` Response format
`DaprProtos.SubtleGetKeyRequest.Builder` `setName​(String value)` Name (or name/version) of the key to use in the key vault
`DaprProtos.SubtleGetKeyRequest.Builder` `setNameBytes​(com.google.protobuf.ByteString value)` Name (or name/version) of the key to use in the key vault
`DaprProtos.SubtleGetKeyRequest.Builder` `setRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field, int index, Object value)`
`DaprProtos.SubtleGetKeyRequest.Builder` `setUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)`

### Methods inherited from class com.google.protobuf.GeneratedMessageV3.Builder

`getAllFields, getField, getFieldBuilder, getOneofFieldDescriptor, getParentForChildren, getRepeatedField, getRepeatedFieldBuilder, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof, internalGetMapField, internalGetMutableMapField, isClean, markClean, newBuilderForField, onBuilt, onChanged, setUnknownFieldsProto3`

### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

`findInitializationErrors, getInitializationErrorString, internalMergeFrom, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

`addAll, addAll, mergeFrom, newUninitializedMessageException`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.MessageLite.Builder

`mergeFrom`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

### Method Detail

#### getDescriptor

    public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

#### internalGetFieldAccessorTable

    protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()

Specified by:
  `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.SubtleGetKeyRequest.Builder>`

#### clear

    public DaprProtos.SubtleGetKeyRequest.Builder clear()

Specified by:
  `clear` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clear` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clear` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.SubtleGetKeyRequest.Builder>`

#### getDescriptorForType

    public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()

Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
Overrides:
  `getDescriptorForType` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.SubtleGetKeyRequest.Builder>`

#### getDefaultInstanceForType

    public DaprProtos.SubtleGetKeyRequest getDefaultInstanceForType()

Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

#### build

    public DaprProtos.SubtleGetKeyRequest build()

Specified by:
  `build` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `build` in interface `com.google.protobuf.MessageLite.Builder`

#### buildPartial

    public DaprProtos.SubtleGetKeyRequest buildPartial()

Specified by:
  `buildPartial` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

#### clone

    public DaprProtos.SubtleGetKeyRequest.Builder clone()

Specified by:
  `clone` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clone` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clone` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.SubtleGetKeyRequest.Builder>`

#### setField

    public DaprProtos.SubtleGetKeyRequest.Builder setField​(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                           Object value)

Specified by:
  `setField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setField` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.SubtleGetKeyRequest.Builder>`

#### clearField

    public DaprProtos.SubtleGetKeyRequest.Builder clearField​(com.google.protobuf.Descriptors.FieldDescriptor field)

Specified by:
  `clearField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearField` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.SubtleGetKeyRequest.Builder>`

#### clearOneof

    public DaprProtos.SubtleGetKeyRequest.Builder clearOneof​(com.google.protobuf.Descriptors.OneofDescriptor oneof)

Specified by:
  `clearOneof` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearOneof` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.SubtleGetKeyRequest.Builder>`

#### setRepeatedField

    public DaprProtos.SubtleGetKeyRequest.Builder setRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                                   int index,
                                                                   Object value)

Specified by:
  `setRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.SubtleGetKeyRequest.Builder>`

#### addRepeatedField

    public DaprProtos.SubtleGetKeyRequest.Builder addRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                                   Object value)

Specified by:
  `addRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `addRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.SubtleGetKeyRequest.Builder>`

#### mergeFrom

    public DaprProtos.SubtleGetKeyRequest.Builder mergeFrom​(com.google.protobuf.Message other)

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<DaprProtos.SubtleGetKeyRequest.Builder>`

#### mergeFrom

    public DaprProtos.SubtleGetKeyRequest.Builder mergeFrom​(DaprProtos.SubtleGetKeyRequest other)

#### isInitialized

    public final boolean isInitialized()

Specified by:
  `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.SubtleGetKeyRequest.Builder>`

#### mergeFrom

    public DaprProtos.SubtleGetKeyRequest.Builder mergeFrom​(com.google.protobuf.CodedInputStream input,
                                                            com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                     throws IOException

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<DaprProtos.SubtleGetKeyRequest.Builder>`
Throws:
  `IOException`

#### getComponentName

    public String getComponentName()

     Name of the component

`string component_name = 1 [json_name = "componentName"];`

Specified by:
  `getComponentName` in interface `DaprProtos.SubtleGetKeyRequestOrBuilder`
Returns:
  The componentName.

#### getComponentNameBytes

    public com.google.protobuf.ByteString getComponentNameBytes()

     Name of the component

`string component_name = 1 [json_name = "componentName"];`

Specified by:
  `getComponentNameBytes` in interface `DaprProtos.SubtleGetKeyRequestOrBuilder`
Returns:
  The bytes for componentName.

#### setComponentName

    public DaprProtos.SubtleGetKeyRequest.Builder setComponentName​(String value)

     Name of the component

`string component_name = 1 [json_name = "componentName"];`

Parameters:
  `value` - The componentName to set.
Returns:
  This builder for chaining.

#### clearComponentName

    public DaprProtos.SubtleGetKeyRequest.Builder clearComponentName()

     Name of the component

`string component_name = 1 [json_name = "componentName"];`

Returns:
  This builder for chaining.

#### setComponentNameBytes

    public DaprProtos.SubtleGetKeyRequest.Builder setComponentNameBytes​(com.google.protobuf.ByteString value)

     Name of the component

`string component_name = 1 [json_name = "componentName"];`

Parameters:
  `value` - The bytes for componentName to set.
Returns:
  This builder for chaining.

#### getName

    public String getName()

     Name (or name/version) of the key to use in the key vault

`string name = 2;`

Specified by:
  `getName` in interface `DaprProtos.SubtleGetKeyRequestOrBuilder`
Returns:
  The name.

#### getNameBytes

    public com.google.protobuf.ByteString getNameBytes()

     Name (or name/version) of the key to use in the key vault

`string name = 2;`

Specified by:
  `getNameBytes` in interface `DaprProtos.SubtleGetKeyRequestOrBuilder`
Returns:
  The bytes for name.

#### setName

    public DaprProtos.SubtleGetKeyRequest.Builder setName​(String value)

     Name (or name/version) of the key to use in the key vault

`string name = 2;`

Parameters:
  `value` - The name to set.
Returns:
  This builder for chaining.

#### clearName

    public DaprProtos.SubtleGetKeyRequest.Builder clearName()

     Name (or name/version) of the key to use in the key vault

`string name = 2;`

Returns:
  This builder for chaining.

#### setNameBytes

    public DaprProtos.SubtleGetKeyRequest.Builder setNameBytes​(com.google.protobuf.ByteString value)

     Name (or name/version) of the key to use in the key vault

`string name = 2;`

Parameters:
  `value` - The bytes for name to set.
Returns:
  This builder for chaining.

#### getFormatValue

    public int getFormatValue()

     Response format

`.dapr.proto.runtime.v1.SubtleGetKeyRequest.KeyFormat format = 3;`

Specified by:
  `getFormatValue` in interface `DaprProtos.SubtleGetKeyRequestOrBuilder`
Returns:
  The enum numeric value on the wire for format.

#### setFormatValue

    public DaprProtos.SubtleGetKeyRequest.Builder setFormatValue​(int value)

     Response format

`.dapr.proto.runtime.v1.SubtleGetKeyRequest.KeyFormat format = 3;`

Parameters:
  `value` - The enum numeric value on the wire for format to set.
Returns:
  This builder for chaining.

#### getFormat

    public DaprProtos.SubtleGetKeyRequest.KeyFormat getFormat()

     Response format

`.dapr.proto.runtime.v1.SubtleGetKeyRequest.KeyFormat format = 3;`

Specified by:
  `getFormat` in interface `DaprProtos.SubtleGetKeyRequestOrBuilder`
Returns:
  The format.

#### setFormat

    public DaprProtos.SubtleGetKeyRequest.Builder setFormat​(DaprProtos.SubtleGetKeyRequest.KeyFormat value)

     Response format

`.dapr.proto.runtime.v1.SubtleGetKeyRequest.KeyFormat format = 3;`

Parameters:
  `value` - The format to set.
Returns:
  This builder for chaining.

#### clearFormat

    public DaprProtos.SubtleGetKeyRequest.Builder clearFormat()

     Response format

`.dapr.proto.runtime.v1.SubtleGetKeyRequest.KeyFormat format = 3;`

Returns:
  This builder for chaining.

#### setUnknownFields

    public final DaprProtos.SubtleGetKeyRequest.Builder setUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `setUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.SubtleGetKeyRequest.Builder>`

#### mergeUnknownFields

    public final DaprProtos.SubtleGetKeyRequest.Builder mergeUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `mergeUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.SubtleGetKeyRequest.Builder>`